<?php echo $content_header . $content_column_left; ?>
<div id="content">
    <div class="page-header">
        <div class="container-fluid">
            <div class="pull-right">
                <button type="submit" form="form-zen" data-toggle="tooltip" title="<?php echo $button_save; ?>"
                        class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="<?php echo $cancel_url; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>"
                   class="btn btn-default"><i class="fa fa-reply"></i></a></div>
            <h1><img src="view/image/zen.svg" alt=""/></h1>
            <ul class="breadcrumb">
                <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                <li>
                    <a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
                </li>
                <?php } ?>
            </ul>
        </div>
    </div>

    <div class="container-fluid">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title"><i class="fa fa-pencil"></i><?php echo $text_edit; ?></h3>
            </div>
            <div class="panel-body">
                <?php if(isset($text_error_validation['error_additional_properties'])) { ?>
                <div class="alert alert-danger"><i
                            class="fa fa-times"></i>  <?= $text_error_validation['error_additional_properties']; ?>
                    <button type="button" class="close" data-dismiss="alert">×</button>
                </div>
                <?php } ?>

                <?php if(isset($text_error_validation['error_warning_permissions'])) { ?>
                <div class="alert alert-danger"><i
                            class="fa fa-times"></i>  <?= $text_error_validation['error_warning_permissions']; ?>
                    <button type="button" class="close" data-dismiss="alert">×</button>
                </div>
                <?php } ?>

                <form action="<?php echo $confirm_url; ?>" method="post" enctype="multipart/form-data"
                      id="form-zen"
                      class="form-horizontal">

                    <div class="form-group">
                        <div class="col-sm-10">
                            <?php echo $text_header_tip; ?>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label"
                               for="input-status"><?php echo $zen_status_label; ?></label>
                        <div class="col-sm-10">
                            <select name="zen_status" id="input-status" class="form-control">
                                <option value="1"
                                <?php if ($zen_status == 1) echo 'selected="selected"'; ?>
                                "><?php echo $text_enabled; ?></option>
                                <option value="0"
                                <?php if ($zen_status == 0) echo 'selected="selected"'; ?>
                                "><?php echo $text_disabled; ?></option>
                            </select>

                            <?php if (isset($text_error_validation['error_zen_status'])) { ?>
                            <div class="text-danger"><?php echo $text_error_validation['error_zen_status']; ?></div>
                            <?php } ?>

                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label"
                               for="input-sandbox"><?php echo $zen_sandbox_label; ?></label>
                        <div class="col-sm-10">
                            <select name="zen_sandbox" id="input-sandbox" class="form-control">
                                <option value="1"
                                <?php if ($zen_sandbox == 1) echo 'selected="selected"'; ?>
                                "><?php echo $text_enabled; ?></option>
                                <option value="0"
                                <?php if ($zen_sandbox == 0) echo 'selected="selected"'; ?>
                                "><?php echo $text_disabled; ?></option>
                            </select>
                            <?php if (isset($text_error_validation['error_zen_sandbox'])) { ?>
                            <div class="text-danger"><?php echo $text_error_validation['error_zen_sandbox']; ?></div>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="form-group required">
                        <label class="col-sm-2 control-label"
                               for="input-zen_terminal_uuid"> <?php echo $zen_terminal_uuid_label; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="zen_terminal_uuid" value="<?php echo $zen_terminal_uuid; ?>"
                                   id="input-zen_terminal_uuid" class="form-control"/>
                            <?php if (isset($text_error_validation['error_zen_terminal_uuid'])) { ?>
                            <div class="text-danger"><?php echo $text_error_validation['error_zen_terminal_uuid']; ?></div>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="form-group required">
                        <label class="col-sm-2 control-label"
                               for="input-zen_paywall_secret"> <?php echo $zen_paywall_secret_label; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="zen_paywall_secret" value="<?php echo $zen_paywall_secret; ?>"
                                   id="input-zen_paywall_secret" class="form-control"/>
                            <?php if (isset($text_error_validation['error_zen_paywall_secret'])) { ?>
                            <div class="text-danger"><?php echo $text_error_validation['error_zen_paywall_secret']; ?></div>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="form-group required">
                        <label class="col-sm-2 control-label"
                               for="input-zen_ipn_secret"> <?php echo $zen_ipn_secret_label; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="zen_ipn_secret" value="<?php echo $zen_ipn_secret; ?>"
                                   id="input-zen_ipn_secret" class="form-control"/>

                            <?php if (isset($text_error_validation['error_zen_ipn_secret'])) { ?>
                            <div class="text-danger"><?php echo $text_error_validation['error_zen_ipn_secret']; ?>
                            </div>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="form-group required">
                        <label class="col-sm-2 control-label"
                               for="input-sort_order"> <?php echo $zen_payment_title_label; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="zen_payment_title" value="<?php echo $zen_payment_title; ?>"
                                   placeholder="<?php echo $zen_payment_title_default ?>" id="input-sort_order"
                                   class="form-control"/>

                            <?php if (isset($text_error_validation['error_zen_payment_title'])) { ?>
                            <div class="text-danger"><?php echo $text_error_validation['error_zen_payment_title']; ?></div>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="form-group required">
                        <label class="col-sm-2 control-label"
                               for="input-zen_currency"><span
                                    data-toggle="tooltip"><?php echo $zen_currency_label; ?></span></label>
                        <div class="col-sm-10">
                            <select class="zen_currencies" name="zen_currencies[]" multiple="multiple">
                                <?php foreach ($zen_all_currencies as $currency) { ?>
                                <option value="<?php echo $currency; ?>"
                                <?php if(in_array($currency,$zen_currencies)){echo 'selected';} ?>
                                ><?php echo $currency; ?></option>
                                <?php } ?>

                            </select>
                        </div>
                    </div>

                    <div class="form-group required">
                        <label class="col-sm-2 control-label"
                               for="input-sort_order"> <?php echo $zen_sort_order_label; ?></label>
                        <div class="col-sm-10">
                            <input type="text" name="zen_sort_order" value="<?php echo $zen_sort_order; ?>"
                                   id="input-sort_order" class="form-control"/>

                            <?php if (isset($text_error_validation['error_zen_sort_order'])) { ?>
                            <div class="text-danger"><?php echo $text_error_validation['error_zen_sort_order']; ?></div>
                            <?php } ?>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script type="text/javascript"><!--

        $(document).ready(function () {
            $('.zen_currencies').select2({
                width: '100%'
            });
        });
        //--></script>
</div>
<?php echo $content_footer; ?>
